n = 101;                                                                 %  1
f = @(x,y) .5*(sin(2*pi*(x - y.^2)).^2 + 1.5*sin(2*pi*(x.^2 + y))) ./ ...
    (1 + abs(x) + abs(y));                                               %  2
x = linspace(-1, 1, n);                                                  %  3
y = x;                                                                   %  4
[X, Y] = meshgrid(x, y);                                                 %  5
F = f(X, Y);                                                             %  6
color_scale = [0:.05:1]';                                                %  7
C_green = [color_scale, ones(size(color_scale)), color_scale];           %  8
color_scale = flipud(color_scale(2:end));                                %  9
C_red = [ones(size(color_scale)), color_scale, color_scale];             % 10
C = [C_green; C_red];                                                    % 11
colormap(C)                                                              % 12
contourf(X, Y, F, 20)                                                    % 13
caxis([-1 1])                                                            % 14
colorbar                                                                 % 15
