function deriv = duffing_p(t, y) 
% duffing_p: Duffing's equation, primary function 
alpha = 0.05; 
beta = 1.0; 
Gamma = 0.5; 
omega = 1.0; 
deriv = [ y(2) ; y(1)*(1-beta*y(1)^2)-alpha*y(2)+Gamma*cos(omega*t) ];