function deriv = duffing_p2(t, y, alpha, beta, Gamma, omega) 
% duffing_p2: Duffing's equation, primary function 
% with coefficients passed through the argument list 
deriv = [ y(2) ; y(1)*(1-beta*y(1)^2)-alpha*y(2)+Gamma*cos(omega*t) ];