fc0 = fft(y0)/N;     % Fourier spectrum of unperturbed signal 
figure(2) 
fc0(N/2 +1) = [];     % delete k = N/2 +1 mode 
power0(1) = abs(fc0(1)).^2; 
power0(2:N/2) = abs(fc0(2:N/2)).^2 +                abs(fc0(N-1:-1:N/2 +1)).^2; 
freq = [1:N]'/time;     % the frequency of each mode 
plot(freq(1:N/2), power0, 'r'), axis([0 freq(N/2) 0 .5]) 
fcpert = fft(ypert)/N;     % Fourier spectrum of perturbed signal 
hold on 
powerpert(1) = abs(fcpert(1)).^2; 
powerpert(2:N/2) = abs(fcpert(2:N/2)).^2 +                  abs(fcpert(N-1:-1:N/2 +1)).^2; 
pause(1) 
plot(freq(1:N/2), powerpert, 'g')