function z = fncz4(y, alpha, beta, Gamma, omega) 
persistent alpha_p beta_p Gamma_p omega_p 
if nargin > 1 
   alpha_p = alpha; 
   beta_p = beta; 
   Gamma_p = Gamma; 
   omega_p = omega; 
end 
z = [ y(2) ; -y(1)*(1-beta_p*y(1)^2)-alpha_p*y(2)+Gamma_p*cos(omega_p*t) ];