function ylen_intvl = get_intervals_slow(y, R) 
n = length(y); 
if y(1) > R     % check if the first point is in an interval 
   in_intvl = 1;     % yes 
   intvl_nr = 1; 
   yin(intvl_nr) = 1; 
else 
   in_intvl = 0;     % no 
   intvl_nr = 0; 
end 
for i = [2: n]     % check the rest of the points 
   if in_intvl == 1     % we are currently in an interval 
     if y(i) <= R     % check if this point is also in the interval 
       yout(intvl_nr) = i;     % no, so end the interval 
       in_intvl = 0; 
     end 
   else     % we are currently not in an interval 
     if y(i) > R     % check if this point is in the next interval 
       intvl_nr = intvl_nr + 1;     % yes, so begin a new                                                interval 
       yin(intvl_nr) = i; 
       in_intvl = 1; 
     end 
   end 
end 
if y(1) > R     % check if we have begun in an interval 
   yin(1) = [];     %  yes, so delete it 
   yout(1) = []; 
end 
if length(yin) > length(yout)     % check if we have ended in an interval 
   yin( length(yin) ) = [];     % yes, so delete it 
end 
ylen_intvl = yout - yin;