function [out1, out2] = spruce(x, xi, a) 
% spruce: a silly function to make a point, f(x,b,a) = sin(x)*exp(-a*(x-b)^2)
%  if only  x  is input, xi = 0  and  a = 1 
%  if only  x  and  xi  are input, a = 1 
%  if only one output argument, f(x,xi,a)  is calculated 
%  if two output arguments, f(x,xi,a)  and  f'(x,xi,a)  are calculated 
if nargin == 1 
   xi = 0; 
   a = 1; 
elseif nargin == 2 
   a = 1; 
end 
out1 = exp(-a.*(x-xi).^2).*sin(x); 
if nargout == 2 
   out2 = exp(-a.*(x-xi).^2).*(cos(x) - 2.*a.*(x-xi).*sin(x)); 
end