function duffing_ode(alpha, beta, Gamma, omega, y0, final_time) 
ode45(@duffing_n, [0 final_time], y0); 
   %%%%% nested function follows 
   function deriv = duffing_n(t, y) 
   deriv = [ y(2) ; y(1)*(1-beta*y(1)^2)-alpha*y(2)+Gamma*cos(omega*t) ]; 
   end 
end