time = 0.6; 
N = 600; 
t = linspace(0, time, N); 
y0 = sin(2*pi*50*t) + sin(2*pi*120*t);     % unperturbed signal 
ypert = y0 + 2*randn(size(t));     % perturbed signal 
figure(1) 
plot(t, y0, 'r'), axis([0 time -8 8]) 
hold on 
pause(1) 
plot(t, ypert, 'g')