function rippling(a, b) 
n = 101; 
x = linspace(-2, 2, n); 
y = x; 
[X, Y] = meshgrid(x, y); 
for t = 0:.01:10 
   at = a + .8*t; 
   bt = b + .4*t; 
   Yxy = Y + .25*sin(2*(exp(X/2)-1)); 
   Z = sin((at + .1*X + .2*Yxy).*X.^2 + ... 
          bt*(sin(2*Yxy) + .2*Yxy).* Yxy.^2); 
   surf(X, Y, Z); 
   view([-45, 60]) 
   xlabel('x') 
   ylabel('y') 
   zlabel('z') 
   title(t) 
   drawnow 
end 
