a = .5; 
L = 10; 
max_time = 100; 
del_time = .01; 
max_vert_axis = 3; 
f = @(x) exp(-(mod(x, L) - L/2).^2 / a^2); 
nr_modes = 20; 
c = [1:nr_modes]'; 
nr_points = 1001; 
x = linspace(0, 10, nr_points); 
[X, C] = meshgrid(x, c); 
R = repmat(1./(2*c-1), 1, nr_points); 
g = @(t) sum(R.*f(X - C*t)); 
ast_y = linspace(.7*max_vert_axis, .95*max_vert_axis, nr_modes); 
for t = 0:del_time:max_time 
   ast_x = mod(c*t + L/2, L); 
   plot(x, g(t), ast_x, ast_y, 'r*') 
   axis([0 L 0 max_vert_axis]) 
   title(t) 
   drawnow 
end